Skip to main content
GET
/
blogs
/
site
/
rss
Get RSS Feeds
curl --request GET \
  --url https://services.leadconnectorhq.com/blogs/site/rss \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "_id": "507f1f77bcf86cd799439011",
      "name": "My RSS Feed",
      "url": "/blog/feed",
      "noOfPosts": 10,
      "loadFullContent": true
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

locationId
string
required

Location ID to fetch RSS feeds

skip
number

Number of items to skip for pagination

limit
number

Number of items to return per page

searchTerm
string

Search term to filter RSS feeds

Response

200 - application/json

List of RSS feeds

data
object[]
required

Array of RSS feeds

total
number
required

Total number of RSS feeds

Last modified on March 4, 2026